class AncillaryOrdersListModel {
  List<AncillaryOrderList> ancillaryOrderList;
  Null errCode;
  String message;
  int patientID;
  String patientName;
  int patientType;
  int projectID;
  String projectName;
  String setupID;
  int statusCode;

  AncillaryOrdersListModel(
      {this.ancillaryOrderList,
      this.errCode,
      this.message,
      this.patientID,
      this.patientName,
      this.patientType,
      this.projectID,
      this.projectName,
      this.setupID,
      this.statusCode});

  AncillaryOrdersListModel.fromJson(Map<String, dynamic> json) {
    if (json['AncillaryOrderList'] != null) {
      ancillaryOrderList = new List<AncillaryOrderList>();
      json['AncillaryOrderList'].forEach((v) {
        ancillaryOrderList.add(new AncillaryOrderList.fromJson(v));
      });
    }
    errCode = json['ErrCode'];
    message = json['Message'];
    patientID = json['PatientID'];
    patientName = json['PatientName'];
    patientType = json['PatientType'];
    projectID = json['ProjectID'];
    projectName = json['ProjectName'];
    setupID = json['SetupID'];
    statusCode = json['StatusCode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.ancillaryOrderList != null) {
      data['AncillaryOrderList'] =
          this.ancillaryOrderList.map((v) => v.toJson()).toList();
    }
    data['ErrCode'] = this.errCode;
    data['Message'] = this.message;
    data['PatientID'] = this.patientID;
    data['PatientName'] = this.patientName;
    data['PatientType'] = this.patientType;
    data['ProjectID'] = this.projectID;
    data['ProjectName'] = this.projectName;
    data['SetupID'] = this.setupID;
    data['StatusCode'] = this.statusCode;
    return data;
  }
}

class AncillaryOrderList {
  String appointmentDate;
  int appointmentNo;
  int clinicID;
  String clinicName;
  int doctorID;
  String doctorName;
  String orderDate;
  int orderNo;

  AncillaryOrderList(
      {this.appointmentDate,
      this.appointmentNo,
      this.clinicID,
      this.clinicName,
      this.doctorID,
      this.doctorName,
      this.orderDate,
      this.orderNo});

  AncillaryOrderList.fromJson(Map<String, dynamic> json) {
    appointmentDate = json['AppointmentDate'];
    appointmentNo = json['AppointmentNo'];
    clinicID = json['ClinicID'];
    clinicName = json['ClinicName'];
    doctorID = json['DoctorID'];
    doctorName = json['DoctorName'];
    orderDate = json['OrderDate'];
    orderNo = json['OrderNo'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['AppointmentDate'] = this.appointmentDate;
    data['AppointmentNo'] = this.appointmentNo;
    data['ClinicID'] = this.clinicID;
    data['ClinicName'] = this.clinicName;
    data['DoctorID'] = this.doctorID;
    data['DoctorName'] = this.doctorName;
    data['OrderDate'] = this.orderDate;
    data['OrderNo'] = this.orderNo;
    return data;
  }
}
